Bug 385401 - Alpine .99999 spell check does not work, also leaves pico files in /tmp directory
Summary: Alpine .99999 spell check does not work, also leaves pico files in /tmp direc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: alpine
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Joshua Daniel Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-15 19:55 UTC by Gilbert Sebenste
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 0.99999-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-16 00:28:17 UTC


Attachments (Terms of Use)

Description Gilbert Sebenste 2007-11-15 19:55:52 UTC
Description of problem: Alpine .99999 has a bug whereby the spell checker 
aspell, and the default, will not work. If you use the default, "speller= " 
in pine.conf, you get an error message that says:

Spell-checking file "" not found

If you use "speller=aspell", you get a -1 unexpected error message.

Also, no matter what you do, every time you hit "Ctrl-T", you get a file in 
the /tmp directory with the contents of your message. This might be a security 
issue, although the user permissions are of the author and the file permissions 
aren't 666, so I'll make this one public.


Version-Release number of selected component (if applicable): .99999


How reproducible: Always


Steps to Reproduce:
1. See above.
  
Actual results: See above.


Expected results: See above.


Additional info:

Comment 1 Joshua Daniel Franklin 2007-11-15 21:40:49 UTC
OK, it turns out that the backup file is actually the default for aspell
and alpine/pico has no control other than the "speller=" configuration. 
If you put this in your configuration it will not create the .bak files:

speller=aspell -x -e -c

or

speller=aspell --dont-backup --mode=email check

As for the error message, I can now reproduce. I had been using my
own local build of alpine without realizing it. This appears to be
a build system problem, maybe I need alpine to be a BuildRequires.
Adding the speller line to your Alpine configuration is a workaround.

Comment 2 Gilbert Sebenste 2007-11-15 21:56:51 UTC
Hi Joshua,

I prefer the old pico editor. How do I get that back? Any clue?


Comment 3 Joshua Daniel Franklin 2007-11-15 22:07:58 UTC
I'm afraid and alpine, pico, and pilot (file browser) are all
developed as part of the same source tree, so there's no way
to get the old pico from the alpine source. You may of course
download and build pine (including the old pico), but Fedora 
will not distribute it because of pine's non-Free licensing.
Also I believe the current plan is to stop all pine development
after alpine 1.0.

Also, I see the aspell problem in the koji build.log:

checking for aspell... no
checking for ispell... no
checking for spell... no

It's too bad configure doesn't just take my word for it that
I'll require it on the running system. :)

I'm building for devel now, if it appears to fix the problem 
I'll start F7 and F8 builds too. I've also asked upstream to add
"--dont-backup" to the default spellcheck options, which are set 
in alpine's configure.

Comment 4 Joshua Daniel Franklin 2007-11-16 00:26:46 UTC
OK, now configure is finding aspell:
checking for aspell... /usr/bin/aspell
checking for aspell... /usr/bin/aspell

Spellcheck in alpine now works for me. Hopefully
"--dont-backup" will make it into alpine-1.0 but either
way you may change the default with this:

speller=aspell --dont-backup --mode=email check

Please try the update candidate at:
http://koji.fedoraproject.org/koji/buildinfo?buildID=24517

I'm going to go ahead and close this bug, if it does 
not fix the issue for you please reply with more details
to reopen.

Comment 5 Gilbert Sebenste 2007-11-16 02:46:32 UTC
It works! Thanks for doing this, I appreciate it.




Note You need to log in before you can comment on or make changes to this bug.